# include <iostream>
#include <cmath>
using namespace std;

int main () {
    int n;
    cin >> n;
    int s = 1;
    int i = 2;
    while (i < (sqrt(n))) {
        if (n % i == 0) {
            s += 1;
        }
        i++;
    }
    i = 2;
    int j;
    while (pow(i, 2) <= n) {
        j = pow(i, 2);
        if (n % j == 0) {
            s += 1;
        }
        i++;
    }
    cout << s;
    return 0;
}
